pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

pkg/24999: lang/tcl and x11/tk problems on multiple operating systems

>Number:         24999
>Category:       pkg
>Synopsis:       lang/tcl and x11/tk problems on multiple operating systems
>Confidential:   no
>Severity:       critical
>Priority:       high
>Responsible:    pkg-manager
>State:          open
>Class:          change-request
>Submitter-Id:   net
>Arrival-Date:   Wed Mar 31 20:19:00 UTC 2004
>Originator:     Michal Pasternak
>Release:        N/A
There is problem with PLIST. 

NetBSD package has library names like, while some other
architectures have dot between 8 and 4.

FreeBSD 4 and 5:

IRIX 5.3:

You might question, what's better: patch tcl/tk configures so they produce 
nodots versions for all libraries - or patch configure for NetBSD so it 
includes the dots. As I have seen, dependent packages use -ltcl84 (eg. name 
without dots), also see here:
 -- so I think tcl and tk should use nodots, if problems in dependet
packages will appear, we could patch dependent packages then.
Compile tcl or tk on mentioned systems.
FreeBSD version included here:

BTW it seems very sad, that this problem persists, Greg Schwartz reported it in 

Home | Main Index | Thread Index | Old Index